## org.apache.fop.dom.svg
Class SVGStringListImpl

    java.lang.Object
      |
      +--org.apache.fop.dom.svg.SVGListImpl
            |
            +--org.apache.fop.dom.svg.SVGStringListImpl

public class SVGStringListImpl
extends SVGListImpl
implements org.w3c.dom.svg.SVGStringList

Constructor Summary
`SVGStringListImpl(java.lang.String str)`

Method Summary
`java.lang.String` `appendItem(java.lang.String newItem)`
`java.lang.String` `createItem()`
`java.lang.String` `getItem(int index)`
`java.lang.String` `initialize(java.lang.String newItem)`
`java.lang.String` `insertItemBefore(java.lang.String newItem, int index)`
`java.lang.String` `removeItem(int index)`
`java.lang.String` `replaceItem(java.lang.String newItem, int index)`

Methods inherited from class org.apache.fop.dom.svg.SVGListImpl
`clear, getNumberOfItems, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SVGStringListImpl

    public SVGStringListImpl(java.lang.String str)

Method Detail

### initialize

    public java.lang.String initialize(java.lang.String newItem)
                                throws org.w3c.dom.svg.SVGException

  Specified by:
    initialize in interface org.w3c.dom.svg.SVGStringList

### createItem

    public java.lang.String createItem()

### getItem

    public java.lang.String getItem(int index)
                             throws org.w3c.dom.DOMException

  Specified by:
    getItem in interface org.w3c.dom.svg.SVGStringList

### removeItem

    public java.lang.String removeItem(int index)
                                throws org.w3c.dom.DOMException

  Specified by:
    removeItem in interface org.w3c.dom.svg.SVGStringList

### appendItem

    public java.lang.String appendItem(java.lang.String newItem)
                                throws org.w3c.dom.svg.SVGException

  Specified by:
    appendItem in interface org.w3c.dom.svg.SVGStringList

### replaceItem

    public java.lang.String replaceItem(java.lang.String newItem,
                                        int index)
                                 throws org.w3c.dom.DOMException,
                                        org.w3c.dom.svg.SVGException

  Specified by:
    replaceItem in interface org.w3c.dom.svg.SVGStringList

### insertItemBefore

    public java.lang.String insertItemBefore(java.lang.String newItem,
                                             int index)
                                      throws org.w3c.dom.svg.SVGException

  Specified by:
    insertItemBefore in interface org.w3c.dom.svg.SVGStringList

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.